#ifndef XMLPARSER_H
#define XMLPARSER_H

#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QtXml>
#include <QString>
#include <QTreeWidget>
#include <QMessageBox>



class XMLParser : public QXmlDefaultHandler
{
private:
    QString m_strText;
    QString title;
    QTreeWidgetItem *treeItem;
    QTreeWidget     *treeWidget;
    QTreeWidgetItem *curChild;


public:
    friend class MainWindow;
    // ------------------------------------------------------------------
    bool startElement(const QString&,
                      const QString&,
                      const QString&,
                      const QXmlAttributes& attrs
                     );
    bool characters(const QString& strText);
    bool endElement(const QString&, const QString&, const QString& str);
    bool fatalError(const QXmlParseException& exception);
};

#endif 
